Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginAssignmentRule

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase
          jp.sbi.celldesigner.plugin.PluginRule
              jp.sbi.celldesigner.plugin.PluginAssignmentRule

    public class PluginAssignmentRule

extends PluginRule

This class wraps org.sbml.libsbml.AssignmentRule for the plug-in.

Author:
  mki

Field Summary

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`sbase`

Constructor Summary
`PluginAssignmentRule(PluginModel parent)` Constructor

Method Summary
`int` | `getL1TypeCode()`
`int` | `getType()`
`java.lang.String` | `getVariable()`
`void` | `setL1TypeCode(int type)` Sets the type of this PluginAssignmentRule.
`void` | `setVariable(java.lang.String variable)` Sets the variable of this PluginAssginmentRule

Methods inherited from class jp.sbi.celldesigner.plugin.PluginRule
`getFormula, getMath, getParentModel, setFormula, setMath, update`

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`addCVTerm, ChangeCVTermToMiriamDefinition, getAnnotation, getAnnotationString, getCVTerm, getNotes, getNotesString, getNumCVTerms, getParentSBase, getRelationFromCVTerm, setAnnotation, setAnnotationString, setCVTerm, setNotes, setNotes, setParentSBase, toSBML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginAssignmentRule

    public PluginAssignmentRule(PluginModel parent)

  Constructor

  Parameters:
    `parent` - PluginModel as the parent of this PluginAssignmentRule.

Method Detail

### getType

    public int getType()

  Returns:
    the type of this PluginAssignmentRule.

### getL1TypeCode

    public int getL1TypeCode()

  Returns:
    the type of this PluginAssignmentRule.

### setL1TypeCode

    public void setL1TypeCode(int type)

  Sets the type of this PluginAssignmentRule.

  Parameters:
    `type` - the type of this PluginAssignmentRule.

### getVariable

    public java.lang.String getVariable()

  Returns:
    the variable of this PluginAssignmentRule.

### setVariable

    public void setVariable(java.lang.String variable)

  Sets the variable of this PluginAssginmentRule

  Parameters:
    `variable` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD